config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/cacti/config.php.new
config var/log/cacti/cacti.log.new
( cd var/www/htdocs/cacti/include ; rm -rf config.php )
( cd var/www/htdocs/cacti/include ; ln -sf ../../../../..//etc/cacti/config.php config.php )
( cd var/www/htdocs/cacti/docs ; rm -rf html )
( cd var/www/htdocs/cacti/docs ; ln -sf ../../../../..//usr/doc/cacti-0.8.8f/html html )
